// VCDllDemoLib.cpp : 定义应用程序的入口点。
//
// CBDllLib2VC.cpp : Defines the entry point for the application.
//

#include "stdafx.h"
#include "jydisk.h"
#include<iostream>
//#include <afxwin.h>  
#include <windef.h>
#include <sstream>
int APIENTRY WinMain(HINSTANCE hInstance,
                     HINSTANCE hPrevInstance,
                     LPSTR     lpCmdLine,
                     int       nCmdShow)
{
 	// TODO: Place code here.
	Init();
	int il=0;
	 char p[100];
	 //char* p = new char[128];
	 memset(p,0,sizeof(p)/sizeof(char));
	 char ils[10];
	 char c[2]={"c"};
	  BYTE i=c[0];
	  GetDiskSerialNumber1(i,p,il);
	  //GetDiskSerialNumber2(1,p,il);
	  //DoReg("",1,"",1);
	  //IsRegisted();
	  wchar_t wp[100];
	   __int64 t1,t2;
	   JyHDiskInfo ainfo;
	  //GetDiskTypeStr(1,wp,il);
	  //IsWin64();
		//ss << il; //从long型数据输入 
        //ss >>ils; //转换为 string
		//sprintf_s(ils,10,"%d",il);
		_itoa_s(il,ils,10);
		MessageBoxA(0,p,ils,0);
	return 0;
}



